Subject: Re: [PATCH 2/2] net/smsc911x: Add regulator support

From: Mark Brown <[email-masked]>
Date: Wed, 26 Oct 2011 10:38:39 +0200

On Wed, Oct 26, 2011 at 10:05:56AM +0200, Linus Walleij wrote:

> +	/* enable/disable regulator for vddvario */
> +	if (pdata->regulator_vddvario) {

This has the same issue as last time - if you've got conditional code
like this in the body of the driver something is going wrong.  Unless
the supply is genuinely optional and might not be physically present on
some systems the driver should fail if it can't get it.  The regulator
API will stub itself out when not in use.